# Angular用のInputManJSコンポーネント
このパッケージには、Angular用の[InputManJS](https://developer.mescius.jp/inputmanjs)コンポーネントが含まれます。

[InputManJS](https://developer.mescius.jp/inputmanjs)は、用途別に最適化された日本仕様の入力用JavaScriptコントロールセットです。文字種制限、日付書式、定型書式、コンボなど、あらゆるタイプの入力方式に対応し、リアルタイムな入力チェックといった機能も備えるため、入力ミスやストレスが少ない生産性の高い業務アプリケーションを開発できます。

## サンプル
[デモアプリケーション](https://demo.mescius.jp/inputmanjs/demos/)では、InputManJSを使用したアプリケーションの作成方法や、各コントロールの基本機能、実用的なアプリケーションの例などを紹介しています。

また、[トライアル版](https://developer.mescius.jp/download#javascript)をダウンロードして、実際の機能や動作をご確認いただけます。

## インストール方法
```sh
npm install @grapecity/inputman.angular
```

## ドキュメント
製品の各種ドキュメントは、下記をご参照ください。
- [製品ヘルプ](https://demo.mescius.jp/inputmanjs/docs/)
- [チュートリアルデモ](https://demo.mescius.jp/inputmanjs/demos/)

## 製品情報
製品の詳細や価格、ライセンスについては、下記をご参照ください。

[https://developer.mescius.jp/inputmanjs](https://developer.mescius.jp/inputmanjs)

## 使用許諾契約書
本製品の使用許諾契約書については、次のサイトをご覧ください。
- [ソフトウェア使用許諾契約書](https://docs.mescius.jp/license/inputman/inputman-js-developmentlicense.pdf)
- [配布ライセンス使用許諾契約書](https://docs.mescius.jp/license/inputman/inputman-js-distributionlicense.pdf)
- [サブスクリプションサービス利用規約](https://docs.mescius.jp/license/inputman/inputman-js-subscriptionservice.pdf)

## サポートサービス
本製品に関する技術的な情報やサポートサービスについては、弊社Webサイトの「[サポート＆サービス](https://developer.mescius.jp/support)」をご覧ください。