import { ElementRef, QueryList, EventEmitter } from '@angular/core';
import { GC } from '../inputman';
import { GcComponents } from './GcComponents';
import * as i0 from "@angular/core";
export declare class GcListBoxColumnComponent {
    name: string;
    label: string;
    width: number | string;
    isValuePath: boolean;
    visible: boolean;
    clickSort: boolean;
    contentAlignment: GC.InputMan.Alignment;
    headerAlignment: GC.InputMan.Alignment;
    showTip: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcListBoxColumnComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcListBoxColumnComponent, "gc-list-box-column", never, { "name": "name"; "label": "label"; "width": "width"; "isValuePath": "isValuePath"; "visible": "visible"; "clickSort": "clickSort"; "contentAlignment": "contentAlignment"; "headerAlignment": "headerAlignment"; "showTip": "showTip"; }, {}, never, never, false, never>;
}
export declare class GcListBoxComponent extends GcComponents<GC.InputMan.GcListBox> {
    constructor(ref: ElementRef);
    items: Array<object> | Array<string>;
    columns: Array<GC.InputMan.ColumnConfig>;
    virtualMode: boolean;
    allowResize: boolean;
    selectionMode: string;
    selectedIndex: number;
    checkedIndex: number;
    selectedIndices: number[];
    checkedIndices: number[];
    allowColumnResize: boolean;
    overflow: string;
    width: number | 'auto';
    height: number;
    itemHeight: number;
    checkOnClick: boolean;
    visibleItems: number;
    visible: boolean;
    enabled: boolean;
    showTip: boolean;
    multiColumn: boolean;
    colHeaderHeight: number;
    showHeader: boolean;
    valueMemberPath: string;
    displayMemberPath: string;
    showCheckBox: boolean;
    itemTemplate: string | string[];
    headerTemplate: string;
    footerTemplate: string;
    emptyTemplate: string;
    load: Function;
    pageSize: number;
    dragDrop: boolean;
    dragSource: GC.InputMan.ListBoxDragSource;
    generatingItem: (args: GC.InputMan.IItemGeneratingArgs) => void;
    selectTemplate: (args: GC.InputMan.ITemplateSelectArgs) => string;
    formatItem: (args: GC.InputMan.IItemArgs) => void;
    checkedChanged: EventEmitter<object>;
    selectedChanged: EventEmitter<object>;
    focusedChanged: EventEmitter<object>;
    itemClick: EventEmitter<object>;
    loadComplete: EventEmitter<object>;
    itemsChanged: EventEmitter<object>;
    selectedIndexChange: EventEmitter<number>;
    checkedIndexChange: EventEmitter<number>;
    selectedIndicesChange: EventEmitter<Array<number>>;
    checkedIndicesChange: EventEmitter<Array<number>>;
    dropping: EventEmitter<GC.InputMan.DropEventArgs>;
    dropped: EventEmitter<GC.InputMan.DropEventArgs>;
    columnComponents: QueryList<GcListBoxColumnComponent>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcListBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcListBoxComponent, "gc-list-box", never, { "items": "items"; "columns": "columns"; "virtualMode": "virtualMode"; "allowResize": "allowResize"; "selectionMode": "selectionMode"; "selectedIndex": "selectedIndex"; "checkedIndex": "checkedIndex"; "selectedIndices": "selectedIndices"; "checkedIndices": "checkedIndices"; "allowColumnResize": "allowColumnResize"; "overflow": "overflow"; "width": "width"; "height": "height"; "itemHeight": "itemHeight"; "checkOnClick": "checkOnClick"; "visibleItems": "visibleItems"; "visible": "visible"; "enabled": "enabled"; "showTip": "showTip"; "multiColumn": "multiColumn"; "colHeaderHeight": "colHeaderHeight"; "showHeader": "showHeader"; "valueMemberPath": "valueMemberPath"; "displayMemberPath": "displayMemberPath"; "showCheckBox": "showCheckBox"; "itemTemplate": "itemTemplate"; "headerTemplate": "headerTemplate"; "footerTemplate": "footerTemplate"; "emptyTemplate": "emptyTemplate"; "load": "load"; "pageSize": "pageSize"; "dragDrop": "dragDrop"; "dragSource": "dragSource"; "generatingItem": "generatingItem"; "selectTemplate": "selectTemplate"; "formatItem": "formatItem"; }, { "checkedChanged": "checkedChanged"; "selectedChanged": "selectedChanged"; "focusedChanged": "focusedChanged"; "itemClick": "itemClick"; "loadComplete": "loadComplete"; "itemsChanged": "itemsChanged"; "selectedIndexChange": "selectedIndexChange"; "checkedIndexChange": "checkedIndexChange"; "selectedIndicesChange": "selectedIndicesChange"; "checkedIndicesChange": "checkedIndicesChange"; "dropping": "dropping"; "dropped": "dropped"; }, ["columnComponents"], never, false, never>;
}
