import { ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { GC } from '../inputman';
import { GcComponents } from './GcComponents';
import * as i0 from "@angular/core";
export declare class GcTagBoxComponent extends GcComponents<GC.InputMan.GcTagBox> implements ControlValueAccessor {
    constructor(ref: ElementRef);
    private onChange;
    private onTouched;
    writeValue(value: any): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    setDisabledState(isDisabled: boolean): void;
    imageAlignment?: GC.InputMan.GcTagImageAlignment | null;
    items?: object[] | string[] | null;
    autoFilter?: GC.InputMan.AutoFilter | null;
    showDropDownIfNoItems?: boolean;
    dropDownAlignmentMode?: GC.InputMan.GcTagBoxDropDownAlignmentMode;
    dropDownHeight?: number | null;
    dropDownWidth?: number | null;
    allowDropDownResize?: boolean;
    dropDownDisplayMemberPath?: string;
    width?: number | string;
    height?: number | string;
    watermarkNullText?: string;
    watermarkDisplayNullText?: string;
    tagTemplate?: string | ((args: any) => HTMLElement);
    readOnly?: boolean;
    enabled?: boolean;
    displayMode?: GC.InputMan.TagBoxDisplayMode;
    allowCopyTag?: boolean;
    allowDragTag?: boolean;
    allowSelectTag?: boolean;
    allowCustomTag?: boolean;
    applyCustomTagKey?: GC.InputMan.Key;
    separator?: string;
    tagImageMemberPath?: string;
    tagTextMemberPath?: string;
    showImage?: boolean;
    minHeight?: number | string;
    minWidth?: number | string;
    maxHeight?: number | string;
    maxWidth?: number | string;
    maxTagWidth?: number;
    dropDownItemHeight?: number;
    dropDownItemTemplate?: string | string[] | null;
    tagValidator?: (args: any) => boolean;
    allowResize?: boolean;
    showDropDown?: boolean;
    uniqueTags?: boolean;
    maxTagCount?: number;
    autoSelect?: boolean;
    value?: (string | object)[];
    appendCustomTagToDropDown?: boolean;
    floatingLabelDirection?: GC.InputMan.FloatingLabelDirection;
    floatingLabelType?: GC.InputMan.FloatingLabelType;
    floatingLabelText?: string;
    dropDownType?: GC.InputMan.TagBoxDropDownType;
    dropDownTreeConfig?: GC.InputMan.TagBoxDropDownTreeConfig;
    dropDownClosed: EventEmitter<object>;
    dropDownOpened: EventEmitter<object>;
    focusIn: EventEmitter<object>;
    focusOut: EventEmitter<object>;
    insertTag: EventEmitter<object>;
    removeTag: EventEmitter<object>;
    valueChanged: EventEmitter<object>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcTagBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcTagBoxComponent, "gc-tag-box", never, { "imageAlignment": "imageAlignment"; "items": "items"; "autoFilter": "autoFilter"; "showDropDownIfNoItems": "showDropDownIfNoItems"; "dropDownAlignmentMode": "dropDownAlignmentMode"; "dropDownHeight": "dropDownHeight"; "dropDownWidth": "dropDownWidth"; "allowDropDownResize": "allowDropDownResize"; "dropDownDisplayMemberPath": "dropDownDisplayMemberPath"; "width": "width"; "height": "height"; "watermarkNullText": "watermarkNullText"; "watermarkDisplayNullText": "watermarkDisplayNullText"; "tagTemplate": "tagTemplate"; "readOnly": "readOnly"; "enabled": "enabled"; "displayMode": "displayMode"; "allowCopyTag": "allowCopyTag"; "allowDragTag": "allowDragTag"; "allowSelectTag": "allowSelectTag"; "allowCustomTag": "allowCustomTag"; "applyCustomTagKey": "applyCustomTagKey"; "separator": "separator"; "tagImageMemberPath": "tagImageMemberPath"; "tagTextMemberPath": "tagTextMemberPath"; "showImage": "showImage"; "minHeight": "minHeight"; "minWidth": "minWidth"; "maxHeight": "maxHeight"; "maxWidth": "maxWidth"; "maxTagWidth": "maxTagWidth"; "dropDownItemHeight": "dropDownItemHeight"; "dropDownItemTemplate": "dropDownItemTemplate"; "tagValidator": "tagValidator"; "allowResize": "allowResize"; "showDropDown": "showDropDown"; "uniqueTags": "uniqueTags"; "maxTagCount": "maxTagCount"; "autoSelect": "autoSelect"; "value": "value"; "appendCustomTagToDropDown": "appendCustomTagToDropDown"; "floatingLabelDirection": "floatingLabelDirection"; "floatingLabelType": "floatingLabelType"; "floatingLabelText": "floatingLabelText"; "dropDownType": "dropDownType"; "dropDownTreeConfig": "dropDownTreeConfig"; }, { "dropDownClosed": "dropDownClosed"; "dropDownOpened": "dropDownOpened"; "focusIn": "focusIn"; "focusOut": "focusOut"; "insertTag": "insertTag"; "removeTag": "removeTag"; "valueChanged": "valueChanged"; }, never, never, false, never>;
}
